
set repodir=%1

SET GCR_VERSION=%2
SET GCD_VERSION=%3
SET GCA_VERSION=%4
SET IB="C:\snapshots\xtoroide_installBuilder\toro.devtools\platform_resources\windows\32\InstallBuilder\16.1.0\bin\builder-cli.exe"
set SIGNTOOL="C:\Program Files\Microsoft SDKs\Windows\v7.1\Bin\signtool.exe"
set CERT=%repodir%\designer\installer\ticert.pfx

rem -- windows
%IB% build designer\installer\gcruntime.xml windows --setvars project.outputDirectory=%WORKSPACE% project.version=%GCR_VERSION% builddir=%repodir%

%IB% build designer\installer\gcapplication.xml windows --setvars project.outputDirectory=%WORKSPACE% project.version=%GCD_VERSION% project.fullName="GUI Composer Designer" project.installerFilename="GUIComposerDesigner-%GCD_VERSION%.setup-win_%GCR_VERSION%.exe" builddir=%repodir%

%IB% build designer\installer\gcapplication.xml windows --setvars project.outputDirectory=%WORKSPACE% project.version=%GCA_VERSION% builddir=%repodir%

rem -- linux-x64
%IB% build designer\installer\gcruntime.xml linux-x64 --setvars project.outputDirectory=%WORKSPACE% project.version=%GCR_VERSION% builddir=%repodir% project.uninstallerName=uninstall_GUIComposerRuntime.run

%IB% build designer\installer\gcapplication.xml linux-x64 --setvars project.outputDirectory=%WORKSPACE% project.version=%GCD_VERSION% project.fullName="GUI Composer Designer" project.installerFilename="GUIComposerDesigner-%GCD_VERSION%.setup-linux-x64_%GCR_VERSION%.run" builddir=%repodir%

%IB% build designer\installer\gcapplication.xml linux-x64 --setvars project.outputDirectory=%WORKSPACE% project.version=%GCA_VERSION% builddir=%repodir%

rem -- osx
%IB% build designer\installer\gcruntime.xml osx --setvars project.outputDirectory=%WORKSPACE% project.version=%GCR_VERSION% builddir=%repodir%

%IB% build designer\installer\gcapplication.xml osx --setvars project.outputDirectory=%WORKSPACE% project.version=%GCD_VERSION% project.fullName="GUI Composer Designer" project.installerFilename="GUIComposerDesigner-%GCD_VERSION%.setup-osx_%GCR_VERSION%.app" builddir=%repodir%

%IB% build designer\installer\gcapplication.xml osx --setvars project.outputDirectory=%WORKSPACE% project.version=%GCA_VERSION% builddir=%repodir%

rem -- zip up gcruntime app
cd /d %WORKSPACE%

"C:\snapshots\xtoroide_installBuilder\toro.devtools\windows\share\util\zip.exe" gcruntime-%GCR_VERSION%-osx-installer.app.zip -r  gcruntime-%GCR_VERSION%-osx-installer.app
"C:\snapshots\xtoroide_installBuilder\toro.devtools\windows\share\util\zip.exe" osx-installers.zip -r *.app *.app.zip
rem -- now zip all .apps into one zip to archive.
rem -- sign exes

SET EXE_TO_SIGN=gcruntime-%GCR_VERSION%-windows-installer.exe
set SIGNED_EXE=signed.exe

%SIGNTOOL% sign /f %CERT% /p godsp /d "GUI Composer v3" /du "http://www.ti.com" /t "http://timestamp.verisign.com/scripts/timestamp.dll" /v "%EXE_TO_SIGN%"
%SIGNTOOL% sign /f %CERT% /p godsp /d "GUI Composer v3" /du "http://www.ti.com" /fd sha256 /tr http://timestamp.geotrust.com/tsa /as /v "%EXE_TO_SIGN%"


SET EXE_TO_SIGN=GUIComposerDesigner-%GCD_VERSION%.setup-win_%GCR_VERSION%.exe
set SIGNED_EXE=signed.exe
%SIGNTOOL% sign /f %CERT% /p godsp /d "GUI Composer v3" /du "http://www.ti.com" /t "http://timestamp.verisign.com/scripts/timestamp.dll" "%EXE_TO_SIGN%"
%SIGNTOOL% sign /f %CERT% /p godsp /d "GUI Composer v3" /du "http://www.ti.com" /fd sha256 /tr http://timestamp.geotrust.com/tsa /as /v "%EXE_TO_SIGN%"

cd /d %repodir%

echo done